(TeX-add-style-hook
 "amsart"
 (lambda ()
   (TeX-run-style-hooks
    "amstex"
    "amsmath"
    "amsfonts")
   (TeX-add-symbols
    "endsplit"
    "enddescription"
    "enditemize"
    "endenumerate"
    "endquote"
    "endquotation"
    "endverse"
    '("subjclass" ["argument"] 1)
    '("urladdr" ["argument"] 1)
    '("email" ["argument"] 1)
    '("curraddr" ["argument"] 1)
    '("address" ["argument"] 1)
    '("contrib" ["argument"] 1)
    '("numberwithin" ["argument"] 2)
    '("smaller" ["argument"] 0)
    '("larger" ["argument"] 0)
    '("newswitch" ["argument"] 1)
    '("pushQED" 1)
    '("newtheoremstyle" 9)
    '("theoremstyle" 1)
    '("seealso" 2)
    '("see" 2)
    '("seeonly" 2)
    '("MR" 1)
    '("tocappendix" 3)
    '("tocsection" 3)
    '("descriptionlabel" 1)
    '("PII" 1)
    '("copyrightinfo" 2)
    '("nxandlist" 4)
    '("xandlist" 4)
    '("uppercasenonmath" 1)
    '("forany" 1)
    '("for" 1)
    '("except" 1)
    '("setTrue" 1)
    '("setFalse" 1)
    "Tiny"
    "SMALL"
    "Small"
    "small"
    "large"
    "Large"
    "LARGE"
    "huge"
    "Huge"
    "linespacing"
    "normalparindent"
    "normaltopskip"
    "upchars"
    "today"
    "rm"
    "sf"
    "tt"
    "bf"
    "it"
    "sl"
    "sc"
    "andify"
    "revertcopyright"
    "abstractname"
    "keywordsname"
    "subjclassname"
    "datename"
    "listisep"
    "mathindent"
    "contentsnamefont"
    "bibliofont"
    "URL"
    "fps"
    "abovecaptionskip"
    "belowcaptionskip"
    "captionindent"
    "seeonlyname"
    "seename"
    "alsoname"
    "printindex"
    "textprime"
    "relax"
    "qed"
    "popQED"
    "qedhere"
    "openbox"
    "textsquare"
    "qedsymbol"
    "proofname"
    "Declare"
    "nopunct"
    "frenchspacing"
    "dateposted"
    "footnotesize"
    "scriptsize"
    "baselinestretch"
    "subsectionname"
    "subsubsectionname"
    "paragraphname"
    "subparagraphname"
    "leftmark"
    "rightmark"
    "markboth"
    "sectionmark"
    "subsectionmark"
    "subsubsectionmark"
    "paragraphmark"
    "cleardoublepage"
    "ss"
    "i"
    "j"
    "ae"
    "oe"
    "o"
    "aa"
    "l"
    "Mc"
    "altucnm"
    "uppercasenonmath"
    "MakeUppercase"
    "authors"
    "wraptoccontribs"
    "contribs"
    "xcontribs"
    "toccontribs"
    "addresses"
    "thankses"
    "curraddrname"
    "emailaddrname"
    "urladdrname"
    "author"
    "address"
    "curraddr"
    "email"
    "urladdr"
    "dedicatory"
    "keywords"
    "commby"
    "translname"
    "translator"
    "and"
    "maketitle"
    "shortauthors"
    "publname"
    "volinfo"
    "issueinfo"
    "currentvolume"
    "currentissue"
    "currentmonth"
    "currentyear"
    "copyrightyear"
    "copyrightholder"
    "pagespan"
    "pageinfo"
    "ISSN"
    "thanks"
    "trivlist"
    "makelabel"
    "upn"
    "partname"
    "part"
    "specialsection"
    "section"
    "subsection"
    "subsubsection"
    "paragraph"
    "subparagraph"
    "appendix"
    "sectionname"
    "thesection"
    "appendixname"
    "contentsname"
    "listfigurename"
    "listtablename"
    "tableofcontents"
    "listoffigures"
    "listoftables"
    "indentlabel"
    "tocsubsection"
    "tocsubsubsection"
    "tocparagraph"
    "tocsubparagraph"
    "tocpart"
    "tocchapter"
    "refname"
    "bibname"
    "bibliographystyle"
    "bibsetup"
    "bysame"
    "newblock"
    "MRhref"
    "URLhref"
    "item"
    "indexname"
    "subitem"
    "subsubitem"
    "indexspace"
    "footnoterule"
    "sloppy"
    "figurename"
    "tablename"
    "nonbreakingspace"
    "citeform"
    "fullwidthdisplay"
    "swappedhead"
    "thmname"
    "thmnumber"
    "thmnote"
    "nonslanted"
    "swapnumbers"
    "thmheadnl"
    "thmhead"
    "mathqed"
    "eqno"
    "leqno"
    "veqno"
    "markleft"
    "protect"
    "label"
    "index"
    "glossary"
    "calclayout"
    "tiny"
    "defaultfont"
    "rom")
   (LaTeX-add-environments
    "proof"
    "theindex"
    "titlepage"
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("thebibliography" 1)
    "abstract"
    "verse"
    "quotation"
    "quote"
    "description"
    "figure"
    "table"
    "pf")
   (LaTeX-add-pagestyles
    "empty"
    "plain"
    "headings"
    "firstpage"
    "myheadings")
   (LaTeX-add-counters
    "part"
    "section"
    "subsection"
    "subsubsection"
    "paragraph"
    "subparagraph"
    "figure"
    "table"))
 :latex)

