(TeX-add-style-hook
 "beamerswitch"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-class-options
                     '(("beamer" "ignorenonframetext" "handout" "trans")))
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("hyperref" "bookmarks=true" "bookmarksopen=true" "pdfborder={0 0 0}" "pdfhighlight={/N}" "linkbordercolor={.5 .5 .5}")))
   (TeX-run-style-hooks
    "latex2e"
    "xkeyval"
    "xkvltxp"
    "etoolbox"
    "xstring"
    "shellesc"
    "iftex"
    "article"
    "art10"
    "beamerarticle"
    "hyperref"
    "beamer"
    "beamer10"
    "pgfpages"
    "pgf"
    "xparse")
   (TeX-add-symbols
    '("articlelayout" 1)
    '("handoutlayout" 1)
    '("BeamerswitchSpawn" 1)
    "BeamerSuffix"
    "TransSuffix"
    "HandoutSuffix"
    "ArticleSuffix"
    "and"
    "thanks"
    "inst"
    "pgfpageoptionborder"
    "pgfpageoptionfirstshipout"
    "inserttitle"
    "insertsubtitle"
    "insertinstitute"
    "footnote")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)))
 :latex)

