(TeX-add-style-hook
 "blog"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("texlinks" "blog")))
   (TeX-run-style-hooks
    "fifinddo"
    "blogexec"
    "dowith"
    "blogligs"
    "markblog"
    "texlinks")
   (TeX-add-symbols
    "endline"
    "endcell"
    "endTd"
    "endtr"
    "endTable"
    "endqtd"
    '("BlogProcessFile" ["argument"] 1)
    '("HVspace" 3)
    '("fillrowcolor" 2)
    '("fillrow" 1)
    '("FillRow" 2)
    '("startTd" 1)
    '("tablewidthcell" 1)
    '("colorwidthcell" 2)
    '("TableCell" 2)
    '("startTable" 1)
    '("metavar" 1)
    '("texcs" 1)
    '("unicodehexentity" 1)
    '("unicodeentity" 1)
    '("htmlentity" 1)
    '("angled" 1)
    '("sfrac" 2)
    '("squoted" 1)
    '("lig" 1)
    '("declareHTMLsymbol" 1)
    '("hnewref" 2)
    '("itfileancref" 3)
    '("fileancref" 2)
    '("itfileref" 2)
    '("fileref" 1)
    '("emancref" 2)
    '("itancref" 2)
    '("ithref" 2)
    '("autref" 1)
    '("ancref" 1)
    '("autanc" 1)
    '("href" 1)
    '("hancref" 2)
    '("hanc" 1)
    '("ditem" 1)
    '("newabbr" 1)
    '("newacronym" 1)
    '("heading" 1)
    '("textcolor" 1)
    '("rightitpar" 1)
    '("stylespan" 1)
    '("comment" 1)
    '("stylesheet" 2)
    '("metanamelangcontent" 3)
    '("metanamecontent" 2)
    '("charset" 1)
    '("MetaTag" 1)
    '("xmlentitycode" 1)
    '("xmleltattrcode" 3)
    '("xmleltcode" 2)
    '("xmltagcode" 1)
    '("declareHTMLattrib" 1)
    '("TagSurr" 3)
    '("SimpleTagSurr" 2)
    '("ParseLigs" 1)
    '("newlet" 2)
    "htmakeext"
    "CLBrk"
    "BlogCodes"
    "BlogProcessFinalFile"
    "ProvideBlogExec"
    "BlogCopyLines"
    "NoBlogLigs"
    "BlogCopyFile"
    "UseBlogLigs"
    "BlogAutoPars"
    "noBlogAutoPars"
    "head"
    "metadescription"
    "keywords"
    "robots"
    "norobots"
    "langdescription"
    "langkeywords"
    "body"
    "topofpage"
    "finish"
    "rightpar"
    "code"
    "strong"
    "var"
    "acronym"
    "abbr"
    "useHTMLelement"
    "htext"
    "httpref"
    "httpsref"
    "declareHTMLsymbols"
    "renderHTMLsymbol"
    "crarrow"
    "emdash"
    "figurespace"
    "urlapostr"
    "quoted"
    "spone"
    "sptwo"
    "spthree"
    "spa"
    "spo"
    "degrees"
    "BibTeX"
    "allTeX"
    "LuaTeX"
    "pdfTeX"
    "XeTeX"
    "TeXbook"
    "starttr"
    "simplecell"
    "tablecell"
    "tableCell"
    "StartTd"
    "emptycell"
    "stdcellpadding"
    "stdtableheadcolor"
    "stdtableheadstyle"
    "hvspace"
    "BlogProvidesFile"
    "ProvidesFile"
    "protect"
    "BlogProcessLine"
    "BlogOutputJob"
    "begin"
    "end"
    "enqtd"
    "dedqtd"
    "deqtd"
    "geq"
    "leq"
    "neq"
    "subset"
    "subseteq"
    "cs")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1)
    '("swapgender" LaTeX-env-args ["argument"] 0)
    '("psli" LaTeX-env-args ["argument"] 0)
    '("Eqlist" LaTeX-env-args ["argument"] 1)
    '("eqlist" LaTeX-env-args ["argument"] 0)
    '("erratum" LaTeX-env-args ["argument"] 1)
    '("workarea" LaTeX-env-args ["argument"] 1)
    '("problemmp" LaTeX-env-args ["argument"] 0)
    '("problem" LaTeX-env-args ["argument"] 0)
    '("test" LaTeX-env-args ["argument"] 0)
    '("risposta" LaTeX-env-args ["argument"] 1)
    '("tabella" LaTeX-env-args ["argument"] 2)
    '("etaremune" LaTeX-env-args ["argument"] 0)
    '("solutionorgrid" LaTeX-env-args ["argument"] 0)
    '("solutionordottedlines" LaTeX-env-args ["argument"] 0)
    '("solutionorlines" LaTeX-env-args ["argument"] 0)
    '("solutionorbox" LaTeX-env-args ["argument"] 0)
    '("solution" LaTeX-env-args ["argument"] 0)
    '("multiplechoice" LaTeX-env-args ["argument"] 0)
    '("shortanswer" LaTeX-env-args ["argument"] 0)
    '("truefalse" LaTeX-env-args ["argument"] 0)
    '("fillin" LaTeX-env-args ["argument"] 0)
    '("matching" LaTeX-env-args ["argument"] 0)
    '("solutionseries" LaTeX-env-args ["argument"] 2)
    '("exerciseseries" LaTeX-env-args ["argument"] 1)
    '("exercises" LaTeX-env-args ["argument"] 0)
    '("flagderiv" LaTeX-env-args ["argument"] 0)
    '("flashcard" LaTeX-env-args ["argument"] 1)
    '("fullminipage" LaTeX-env-args ["argument"] 0)
    '("gmatrix" LaTeX-env-args ["argument"] 0)
    '("maszynopis" LaTeX-env-args ["argument"] 0)
    '("gnuplot" LaTeX-env-args ["argument"] 0)
    '("Encap" LaTeX-env-args ["argument"] 3)
    '("Row" LaTeX-env-args ["argument"] 0)
    '("row" LaTeX-env-args ["argument"] 2)
    '("arttitsub" LaTeX-env-args ["argument"] 2)
    '("artsubtit" LaTeX-env-args ["argument"] 2)
    '("art" LaTeX-env-args ["argument"] 1)
    '("widedesc" LaTeX-env-args ["argument"] 0)
    '("flexlist" LaTeX-env-args ["argument"] 1)
    '("hvFloatEnv" LaTeX-env-args ["argument"] 0)
    '("inctext" LaTeX-env-args ["argument"] 0)
    '("labeling" LaTeX-env-args ["argument"] 1)
    '("KeyValTable" LaTeX-env-args ["argument"] 1)
    '("pattern" LaTeX-env-args ["argument"] 2)
    '("letter" LaTeX-env-args ["argument"] 1)
    '("InstanceDescription" LaTeX-env-args ["argument"] 3)
    '("edtable" LaTeX-env-args ["argument"] 1)
    '("longbox" LaTeX-env-args ["argument"] 0)
    '("longfbox" LaTeX-env-args ["argument"] 0)
    '("lpic" LaTeX-env-args ["argument"] 1)
    '("FullLsc" LaTeX-env-args ["argument"] 7)
    '("Lsc" LaTeX-env-args ["argument"] 3)
    '("lsccreateinst" LaTeX-env-args ["argument"] 3)
    '("lscinst" LaTeX-env-args ["argument"] 1)
    '("simregion" LaTeX-env-args ["argument"] 0)
    '("coregion" LaTeX-env-args ["argument"] 0)
    '("ltssidetoks" LaTeX-env-args ["argument"] 1)
    '("ltsfnquote" LaTeX-env-args ["argument"] 0)
    '("subfloatrow" LaTeX-env-args ["argument"] 0)
    '("floatrow" LaTeX-env-args ["argument"] 0)
    '("longtable" LaTeX-env-args ["argument"] 1)
    '("tablenotes" LaTeX-env-args ["argument"] 0)
    '("threeparttable" LaTeX-env-args ["argument"] 0)
    '("lateximage" LaTeX-env-args ["argument"] 0)
    '("empheq" LaTeX-env-args ["argument"] 1)
    '("multlined" LaTeX-env-args ["argument"] 0)
    '("mdframed" LaTeX-env-args ["argument"] 0)
    '("vplace" LaTeX-env-args ["argument"] 0)
    '("margintable" LaTeX-env-args ["argument"] 0)
    '("marginfigure" LaTeX-env-args ["argument"] 0)
    '("verse" LaTeX-env-args ["argument"] 0)
    '("menufolder" LaTeX-env-args ["argument"] 1)
    '("metrike" LaTeX-env-args ["argument"] 0)
    '("metrica" LaTeX-env-args ["argument"] 0)
    '("explaincode" LaTeX-env-args ["argument"] 0)
    '("minipagewithmarginpars" LaTeX-env-args ["argument"] 1)
    '("arrangedWrapFigureNow" LaTeX-env-args ["argument"] 6)
    '("arrangedWrapFigure" LaTeX-env-args ["argument"] 6)
    '("arrangedSideWaysFigureNow" LaTeX-env-args ["argument"] 4)
    '("arrangedSideWaysFigure" LaTeX-env-args ["argument"] 4)
    '("arrangedFigureNow" LaTeX-env-args ["argument"] 4)
    '("arrangedFigure" LaTeX-env-args ["argument"] 4)
    '("mtchideinmainlot" LaTeX-env-args ["argument"] 0)
    '("mtchideinmainlof" LaTeX-env-args ["argument"] 0)
    '("mtchideinmaintoc" LaTeX-env-args ["argument"] 0)
    '("minted" LaTeX-env-args ["argument"] 1)
    '("Minutes" LaTeX-env-args ["argument"] 1)
    '("quiz" LaTeX-env-args ["argument"] 1)
    '("BigTableCell" 2)
    '("bigtablecell" 1)
    '("tablerow" 1)
    '("tablecoloredboldrow" 2)
    '("tablecoloredrow" 2)
    '("TableRow" 2)
    '("allrulestable" 2)
    '("enumtype" 1)
    '("commentlines" 1)
    '("style" 1)
    "stdallrulestable"))
 :latex)

