(TeX-add-style-hook
 "curve"
 (lambda ()
   (TeX-run-style-hooks
    "ltxtable"
    "ifthen"
    "calc"
    "filehook"
    "graphicx")
   (TeX-add-symbols
    '("makeheaders" ["argument"] 0)
    '("photo" ["argument"] 1)
    '("listpubname" 1)
    '("makerubric" 1)
    '("flavor" 1)
    '("titlealignment" 1)
    '("subtitlefont" 1)
    '("subtitle" 1)
    '("titlefont" 1)
    '("photoscale" 1)
    '("rightheader" 1)
    '("leftheader" 1)
    '("headerscale" 1)
    '("continuedname" 1)
    '("rubricalignment" 1)
    '("rubricfont" 1)
    '("subrubric" 1)
    '("subrubricalignment" 1)
    '("subrubricfont" 1)
    '("noentry" 1)
    '("prefix" 1)
    '("keyalignment" 1)
    '("keyfont" 1)
    "entry"
    "text"
    "maketitle"
    "rm"
    "sf"
    "tt"
    "bf"
    "it"
    "sl"
    "sc"
    "raggedright"
    "raggedleft"
    "newpage"
    "pagebreak"
    "nopagebreak"
    "today"
    "newblock"
    "protect"
    "bibname"
    "refname"
    "bibliography"
    "section"
    "chapter"
    "bibitem")
   (LaTeX-add-environments
    "thebibliography"
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("thebibliography" 1)
    '("rubric" 1))
   (LaTeX-add-pagestyles
    "headings"
    "myheadings")
   (LaTeX-add-counters
    "bibcount"
    "bibtotal")
   (LaTeX-add-lengths
    "subrubricbeforespace"
    "subrubricspace"
    "rubricspace"
    "rubricafterspace"
    "headerspace"
    "photosep"
    "photo"
    "leftheader"
    "rightheader"
    "titlespace"))
 :latex)

