(TeX-add-style-hook
 "denisbdoc"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("fontenc" "T1") ("inputenc" "utf8") ("enumitem" "inline") ("zref" "xr") ("footmisc" "multiple") ("biblatex" "backend=biber" "style=authortitle" "autopunct=false" "useprefix=true" "backref" "dashed=false") ("datetime" "nodayofweek") ("imakeidx" "xindy") ("hyperref" "hyperfootnotes=false" "hyperindex=false") ("hypcap" "all") ("bookmark" "numbered") ("glossaries-extra" "xindy" "hyperfirst=false" "toc=false")))
   (TeX-run-style-hooks
    "expl3"
    "l3keys2e"
    "xparse"
    "fontenc"
    "inputenc"
    "fontspec"
    "xpatch"
    "mweights"
    "parskip"
    "fixfoot"
    "marginnote"
    "enumitem"
    "afterpage"
    "calc"
    "siunitx"
    "booktabs"
    "multirow"
    "zref"
    "footmisc"
    "rotating"
    "pdflscape"
    "xspace"
    "accsupp"
    "hologo"
    "xifthen"
    "refcount"
    "iflang"
    "ifpdf"
    "amssymb"
    "tocvsec2"
    "ltxcmds"
    "csquotes"
    "tikz"
    "translator"
    "comment"
    "path"
    "textcase"
    "fontawesome"
    "biblatex"
    "morewrites"
    "babel"
    "datetime"
    "subcaption"
    "tocbibind"
    "imakeidx"
    "varioref"
    "tcolorbox"
    "hyperref"
    "attachfile2"
    "nameref"
    "hypcap"
    "bookmark"
    "glossaries-extra"
    "cleveref")
   (TeX-add-symbols
    '("indexheading" 2)
    '("indexsee" 2)
    '("indexex" 1)
    '("indexdef" 1)
    '("seelink" 1)
    '("targetindexentryii" 1)
    '("targetindexentryi" 1)
    '("targetindexentry" 1)
    '("indexmark" 1)
    '("formatfont" 1)
    "NoAutoSpacing"
    "DBD"
    "EUR"
    "hdpindex"
    "encapchar"
    "textcolor"
    "yatcl"
    "yatCl"
    "program")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2))
   (LaTeX-add-index-entries
    "#1|definition"
    "#1|example"
    "exemple!#1|example"
    "#1|see{#2}"
    "expression!en~fran^^c3^^a7ais!\\enquote{\\foreignlanguage{french}{\\translate{#2}}}"
    "expression!en~anglais!\\enquote{\\foreignlanguage{english}{\\translate{#2}}}"
    "\\@bsphack
      \\@ifnextchar [{\\@index}{\\@index[\\imki@jobname]}"
    "#5!liste!\\textsf{#4}"
    "#5!liste!\\textsf{#4}!#6"
    "Linux"
    "Mac OS"
    "Windows")
   (LaTeX-add-counters
    "targeti"
    "targetii"))
 :latex)

