(TeX-add-style-hook
 "doc"
 (lambda ()
   (TeX-run-style-hooks
    "multicol")
   (TeX-add-symbols
    '("meta" 1)
    "MacrocodeTopsep"
    "MacroIndent"
    "MacroTopsep"
    "IndexMin"
    "GlossaryMin"
    "AlsoImplementation"
    "the"
    "MacroFont"
    "AltMacroFont"
    "DontCheckModules"
    "CheckModules"
    "Module"
    "DescribeMacro"
    "DescribeEnv"
    "verbatim"
    "verb"
    "makelabel"
    "PrintMacroName"
    "PrintDescribeMacro"
    "PrintDescribeEnv"
    "PrintEnvName"
    "MakePrivateLetters"
    "EnableCrossrefs"
    "DisableCrossrefs"
    "x"
    "DoNotIndex"
    "actualchar"
    "quotechar"
    "levelchar"
    "encapchar"
    "verbatimchar"
    "SpecialIndex"
    "SpecialMainIndex"
    "SpecialMainEnvIndex"
    "SpecialUsageIndex"
    "SpecialEnvIndex"
    "SortIndex"
    "LeftBraceIndex"
    "RightBraceIndex"
    "OldMakeindex"
    "PercentIndex"
    "IndexPrologue"
    "IndexParms"
    "subitem"
    "subsubitem"
    "indexspace"
    "efill"
    "dotfill"
    "dotfil"
    "pfill"
    "main"
    "usage"
    "PrintIndex"
    "changes"
    "generalname"
    "RecordChanges"
    "item"
    "GlossaryPrologue"
    "GlossaryParms"
    "PrintChanges"
    "OnlyDescription"
    "StopEventually"
    "Finale"
    "IndexInput"
    "maketitle"
    "MakeShortVerb"
    "DeleteShortVerb"
    "MakeShortverb"
    "DeleteShortverb"
    "CheckSum"
    "CharacterTable"
    "used"
    "CharTableChanges"
    "CodelineNumbered"
    "CodelineIndex"
    "PageIndex"
    "theCodelineNo"
    "DocstyleParms"
    "AmSTeX"
    "BibTeX"
    "SliTeX"
    "PlainTeX"
    "Web"
    "MakePercentIgnore"
    "MakePercentComment"
    "DocInput"
    "GetFileInfo"
    "filename"
    "fileinfo")
   (LaTeX-add-environments
    "theindex"
    "environment"
    "macro"
    "macrocode"
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    "theglossary")
   (LaTeX-add-index-entries
    "#1\\actualchar{\\protect\\ttfamily#1}
           (environment)\\encapchar usage"
    "environments:\\levelchar#1\\actualchar
          {\\protect\\ttfamily#1}\\encapchar usage"
    "#1\\actualchar#2"
    "#1\\levelchar
                                 \\ifx\\saved@macroname\\@empty
                                   \\space
                                   \\actualchar
                                   \\generalname
                                 \\else
                                   \\saved@indexname
                                   \\actualchar
                                   \\string\\verb\\quotechar*%
                                   \\verbatimchar\\saved@macroname
                                   \\verbatimchar
                                 \\fi
                                 :\\levelchar #3")
   (LaTeX-add-pagestyles
    "titlepage"
    "plain")
   (LaTeX-add-counters
    "StandardModuleDepth"))
 :latex)

