(TeX-add-style-hook
 "europasscv"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("inputenc" "utf8") ("fontenc" "T1") ("hyperref" "hidelinks")))
   (TeX-run-style-hooks
    "latex2e"
    "totpages"
    "article"
    "art10"
    "iftex"
    "inputenc"
    "fontenc"
    "fontspec"
    "array"
    "fancyhdr"
    "xcolor"
    "url"
    "soul"
    "setspace"
    "geometry"
    "textcomp"
    "enumitem"
    "hyperref"
    "colortbl"
    "graphicx"
    "showframe")
   (TeX-add-symbols
    '("ecvbigitem" ["argument"] 2)
    '("ecvblueitem" ["argument"] 2)
    '("ecvtitlelevel" ["argument"] 3)
    '("ecvtitle" ["argument"] 2)
    '("ecvsection" ["argument"] 1)
    '("ecvitem" ["argument"] 2)
    '("ecvlanguagefooter" ["argument"] 0)
    '("ecvlastlanguage" ["argument"] 6)
    '("ecvlanguage" ["argument"] 6)
    '("ecvlangrow" ["argument"] 7)
    '("ecvlanguageheader" ["argument"] 0)
    '("ecvmothertongue" ["argument"] 1)
    '("ecvpersonalinfo" ["argument"] 0)
    '("ecvtelephone" ["argument"] 1)
    '("ecvhighlightcell" 1)
    '("ecvbluestyle" 1)
    '("ecvhighlight" 1)
    '("ecvLargenormalstyle" 1)
    '("ecvlargenormalstyle" 1)
    '("ecvtitlestyle" 1)
    '("ecvbluenormalstyle" 1)
    '("ecvsectionstyle" 1)
    '("ecvLogoOffset" 1)
    '("ecvLogoWidth" 1)
    '("ecvExtraRowHeight" 1)
    '("ecvLeftColumnWidth" 1)
    '("ecvColSep" 1)
    '("ecvRuleWidth" 1)
    '("ecvTitleKern" 1)
    '("ecvdigitalcompetence" 5)
    '("ecvCEF" 2)
    '("ecvlanguagecertificate" 1)
    '("ecvspace" 1)
    '("ecvafterpicture" 1)
    '("ecvbeforepicture" 1)
    '("ecvgender" 1)
    '("ecvdateofbirth" 1)
    '("ecvnationality" 1)
    '("ecvim" 2)
    '("ecvhomepage" 1)
    '("ecvemail" 1)
    '("ecvfax" 1)
    '("ecvworkphone" 1)
    '("ecvmobile" 1)
    '("ecvaddress" 1)
    '("ecvfootername" 1)
    '("ecvname" 1)
    '("ecvlastname" 1)
    '("ecvfirstname" 1)
    '("ecvfootnote" 1)
    '("ecvpage" 1)
    '("ecvfont" 1)
    "ecv"
    "ecvcurrvitae"
    "ecvcoloredtitle"
    "selectecvfont"
    "ecvpictureleft"
    "ecvpictureright"
    "ecvdrawpicture"
    "ecvpicture"
    "ecvAOne"
    "ecvATwo"
    "ecvBOne"
    "ecvBTwo"
    "ecvCOne"
    "ecvCTwo"
    "ecvBasic"
    "ecvIndependent"
    "ecvProficient"
    "ecvNoHorRule"
    "ecvWithHorRule"
    "ecvbullet"
    "ecvarg"
    "processlinks"
    "readwords"
    "convertstring"
    "tourl"
    "toemail")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1)
    '("swapgender" LaTeX-env-args ["argument"] 0)
    '("psli" LaTeX-env-args ["argument"] 0)
    '("Eqlist" LaTeX-env-args ["argument"] 1)
    '("eqlist" LaTeX-env-args ["argument"] 0)
    '("erratum" LaTeX-env-args ["argument"] 1)
    '("workarea" LaTeX-env-args ["argument"] 1)
    '("problemmp" LaTeX-env-args ["argument"] 0)
    '("problem" LaTeX-env-args ["argument"] 0)
    '("test" LaTeX-env-args ["argument"] 0)
    '("risposta" LaTeX-env-args ["argument"] 1)
    '("tabella" LaTeX-env-args ["argument"] 2)
    '("etaremune" LaTeX-env-args ["argument"] 0)
    "ecvitemize")
   (LaTeX-add-lengths
    "difflength"
    "ecv"))
 :latex)

