(TeX-add-style-hook
 "lwarp"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("geometry" "paperheight=190in" "paperwidth=20in" "left=2in" "right=12in" "top=1in" "bottom=1in" "") ("titleps" "nopatches")))
   (TeX-run-style-hooks
    "iftex"
    "luatex85"
    "newunicodechar"
    "upquote"
    "etoolbox"
    "ifplatform"
    "comment"
    "kvoptions"
    "geometry"
    "xparse"
    "expl3"
    "gettitlestring"
    "everyhook"
    "fancyvrb"
    "xifthen"
    "xstring"
    "makeidx"
    "calc"
    "refcount"
    "newfloat"
    "caption"
    "enumitem"
    "titling"
    "zref"
    "amsmath"
    "environ"
    "titleps"
    "xfrac"
    "printlen")
   (TeX-add-symbols
    '("hyperindexref" 1)
    '("hypertocfloat" 5)
    '("LWRsetnextfloat" 2)
    '("nameref" 1)
    '("citetitle" 1)
    '("attribution" 1)
    '("postsubtitle" 1)
    '("presubtitle" 1)
    '("postpublished" 1)
    '("prepublished" 1)
    '("subtitle" 1)
    '("published" 1)
    '("HTMLLanguage" 1)
    '("HTMLDescription" 1)
    '("HTMLAuthor" 1)
    '("CSSFilename" 1)
    '("BlockClassSingle" 2)
    '("SetHTMLFileNumber" 1)
    '("HTMLunicode" 1)
    '("HTMLentity" 1)
    '("warpHTMLonly" 1)
    '("warpprintonly" 1)
    "OSPathSymbol"
    "LWR"
    "BaseJobname"
    "HomeHTMLFilename"
    "tracinglwarp"
    "popclose"
    "HTMLFilename"
    "LinkHome"
    "PrintStack"
    "HTMLFirstPageTop"
    "HTMLPageTop"
    "HTMLPageBottom"
    "CSSFilename"
    "theHTMLAuthor"
    "thepublished"
    "thesubtitle"
    "printthanks"
    "printpublished"
    "printtitle"
    "printsubtitle"
    "printauthor"
    "printdate"
    "maketitlehookaa"
    "maketitlehookaaa"
    "abstractname"
    "LTcaptype"
    "mrowcell"
    "midrule"
    "toprule"
    "bottomrule"
    "pagerefPageFor"
    "href"
    "nolinkurl"
    "url"
    "CaptionSeparator"
    "sidetocname"
    "glo"
    "LateximageFontSizeName"
    "thisgraphicspath"
    "cpagerefFor"
    "minipagefullwidth"
    "phantomsection"
    "Xe"
    "BibTeX"
    "MakeIndex"
    "MiKTeX"
    "LyX"
    "XeTeXrevE"
    "AmS"
    "usepackage"
    "clearpage"
    "cleardoublepage"
    "TeX"
    "LaTeX"
    "LuaTeX"
    "LuaLaTeX"
    "XeTeX"
    "XeLaTeX"
    "ConTeXt"
    "rotatebox"
    "scalebox"
    "reflectbox"
    "maketitle"
    "footnotesize"
    "footnoterule"
    "nexttoken"
    "mynext"
    "multicolumn"
    "multirow"
    "caption"
    "Nameref"
    "item"
    "subitem"
    "subsubitem"
    "textit"
    "textbf"
    "texttt"
    "textsc"
    "textsf"
    "textrm"
    "textsuperscript"
    "textsubscript"
    "enskip"
    "quad"
    "qquad"
    "label"
    "ref"
    "pageref"
    "makebox"
    "up"
    "fup"
    "newline"
    "hspace"
    "rule")
   (LaTeX-add-environments
    "tabular"
    "equation"
    "displaymath"
    "math"
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1)
    '("swapgender" LaTeX-env-args ["argument"] 0)
    '("psli" LaTeX-env-args ["argument"] 0)
    '("Eqlist" LaTeX-env-args ["argument"] 1)
    '("eqlist" LaTeX-env-args ["argument"] 0)
    '("erratum" LaTeX-env-args ["argument"] 1)
    '("workarea" LaTeX-env-args ["argument"] 1)
    '("problemmp" LaTeX-env-args ["argument"] 0)
    '("problem" LaTeX-env-args ["argument"] 0)
    '("test" LaTeX-env-args ["argument"] 0)
    '("risposta" LaTeX-env-args ["argument"] 1)
    '("tabella" LaTeX-env-args ["argument"] 2)
    '("etaremune" LaTeX-env-args ["argument"] 0)
    '("solutionorgrid" LaTeX-env-args ["argument"] 0)
    '("solutionordottedlines" LaTeX-env-args ["argument"] 0)
    '("solutionorlines" LaTeX-env-args ["argument"] 0)
    '("solutionorbox" LaTeX-env-args ["argument"] 0)
    '("solution" LaTeX-env-args ["argument"] 0)
    '("multiplechoice" LaTeX-env-args ["argument"] 0)
    '("shortanswer" LaTeX-env-args ["argument"] 0)
    '("truefalse" LaTeX-env-args ["argument"] 0)
    '("fillin" LaTeX-env-args ["argument"] 0)
    '("matching" LaTeX-env-args ["argument"] 0)
    '("solutionseries" LaTeX-env-args ["argument"] 2)
    '("exerciseseries" LaTeX-env-args ["argument"] 1)
    '("exercises" LaTeX-env-args ["argument"] 0)
    '("flagderiv" LaTeX-env-args ["argument"] 0)
    '("flashcard" LaTeX-env-args ["argument"] 1)
    '("fullminipage" LaTeX-env-args ["argument"] 0)
    '("gmatrix" LaTeX-env-args ["argument"] 0)
    '("maszynopis" LaTeX-env-args ["argument"] 0)
    '("gnuplot" LaTeX-env-args ["argument"] 0)
    '("Encap" LaTeX-env-args ["argument"] 3)
    '("Row" LaTeX-env-args ["argument"] 0)
    '("row" LaTeX-env-args ["argument"] 2)
    '("arttitsub" LaTeX-env-args ["argument"] 2)
    '("artsubtit" LaTeX-env-args ["argument"] 2)
    '("art" LaTeX-env-args ["argument"] 1)
    '("widedesc" LaTeX-env-args ["argument"] 0)
    '("flexlist" LaTeX-env-args ["argument"] 1)
    '("hvFloatEnv" LaTeX-env-args ["argument"] 0)
    '("inctext" LaTeX-env-args ["argument"] 0)
    '("labeling" LaTeX-env-args ["argument"] 1)
    '("KeyValTable" LaTeX-env-args ["argument"] 1)
    '("pattern" LaTeX-env-args ["argument"] 2)
    '("letter" LaTeX-env-args ["argument"] 1)
    '("InstanceDescription" LaTeX-env-args ["argument"] 3)
    '("edtable" LaTeX-env-args ["argument"] 1)
    '("longbox" LaTeX-env-args ["argument"] 0)
    '("longfbox" LaTeX-env-args ["argument"] 0)
    '("lpic" LaTeX-env-args ["argument"] 1)
    '("FullLsc" LaTeX-env-args ["argument"] 7)
    '("Lsc" LaTeX-env-args ["argument"] 3)
    '("lsccreateinst" LaTeX-env-args ["argument"] 3)
    '("lscinst" LaTeX-env-args ["argument"] 1)
    '("simregion" LaTeX-env-args ["argument"] 0)
    '("coregion" LaTeX-env-args ["argument"] 0)
    '("ltssidetoks" LaTeX-env-args ["argument"] 1)
    '("ltsfnquote" LaTeX-env-args ["argument"] 0)
    '("subfloatrow" LaTeX-env-args ["argument"] 0)
    '("floatrow" LaTeX-env-args ["argument"] 0)
    '("longtable" LaTeX-env-args ["argument"] 1)
    '("tablenotes" LaTeX-env-args ["argument"] 0)
    '("threeparttable" LaTeX-env-args ["argument"] 0)
    '("lateximage" LaTeX-env-args ["argument"] 0)
    "LWR")
   (LaTeX-add-pagestyles
    "plain")
   (LaTeX-add-counters
    "FileDepth"
    "SideTOCDepth"
    "lofdepth"
    "lotdepth")
   (LaTeX-add-lengths
    "HTMLvleftskip"
    "HTMLleftmargini"
    "VerbatimHTMLWidth"
    "LWR"))
 :latex)

