(TeX-add-style-hook
 "pst-doc"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("xcolor" "dvipsnames" "x11names" "svgnames" "table") ("fontenc" "T1") ("inputenc" "utf8") ("geometry" "includeheadfoot" "lmargin=2cm" "tmargin=1cm" "bmargin=1.5cm" "rmargin=1.5cm") ("footmisc" "bottom" "stable" "ragged") ("scrpage2" "automark" "nouppercase") ("hyperref" "colorlinks" "urlcolor=pdfurlcolor" "filecolor=pdffilecolor" "linkcolor=pdflinkcolor" "breaklinks" "linktocpage=true")))
   (TeX-run-style-hooks
    "latex2e"
    "scrartcl"
    "scrartcl10"
    "xcolor"
    "ifxetex"
    "amsmath"
    "amssymb"
    "unicode-math"
    "libertinus"
    "fontenc"
    "textcomp"
    "bera"
    "inputenc"
    "geometry"
    "ifpdf"
    "xspace"
    "makeidx"
    "calc"
    "babel"
    "xkeyval"
    "pst-xkey"
    "pstricks"
    "xkvview"
    "multido"
    "lscape"
    "graphicx"
    "eso-pic"
    "tabularx"
    "ragged2e"
    "booktabs"
    "footmisc"
    "chngcntr"
    "nameref"
    "varioref"
    "subfig"
    "setspace"
    "paralist"
    "biblatex"
    "fancyvrb"
    "filecontents"
    "showexpl"
    "manfnt"
    "scrpage2"
    "caption"
    "hyperref"
    "breakurl")
   (TeX-add-symbols
    '("XInfoDanger" ["argument"] 1)
    '("XInfo" ["argument"] 1)
    '("LenToUnit" 1)
    '("LmEND" 1)
    '("LEND" 1)
    '("LmBEG" 1)
    '("LBEG" 1)
    '("Largr" 1)
    '("Largs" 1)
    '("Largb" 1)
    '("Larga" 1)
    '("xLnotation" 1)
    '("Lmnotation" 1)
    '("XInfocorr" 1)
    '("LoadPackageLater" 1)
    '("IfElseUnDefined" 3)
    '("IfElseDefined" 3)
    '("IfDefined" 2)
    '("IfElseChapterDefined" 2)
    '("IfChapterDefined" 1)
    '("IfElsePackageLoaded" 3)
    '("IfPackageNotLoaded" 2)
    '("IfPackageLoaded" 2)
    "frontmatter"
    "mainmatter"
    "backmatter"
    "LoadPackagesNow"
    "use"
    "ON"
    "OFF"
    "XInfofont"
    "SectionFontStyle"
    "RDO"
    "PST"
    "PS"
    "Lnotation"
    "Larg"
    "bs"
    "lcb"
    "rcb"
    "lsb"
    "rsb"
    "lrb"
    "rrb"
    "false"
    "true"
    "BDefaboveskip"
    "BDefbelowskip"
    "BDefinlineskip"
    "bgImage"
    "bgTitle"
    "fullWidth"
    "FancyVerbFormatLine"
    "dt"
    "Index"
    "LPack"
    "nxLPack"
    "Lprog"
    "nxLprog"
    "LFile"
    "nxLFile"
    "Lext"
    "nxLext"
    "xLcs"
    "Lcs"
    "LcsStar"
    "nxLcs"
    "xLenv"
    "Lenv"
    "Ldim"
    "Lskip"
    "Lkeyword"
    "xLkeyword"
    "nxLkeyword"
    "nxLKeyword"
    "nxLkeyval"
    "nxLenv"
    "LColor"
    "xLColor"
    "Lkeyval"
    "xLkeyval"
    "xLoption"
    "Loption"
    "LPS"
    "xLps"
    "nxLps"
    "Lps"
    "LClass"
    "nxLClass"
    "nxLdim"
    "nxLskip"
    "Lctr"
    "LCtr"
    "nxLctr"
    "nxLnotation"
    "xLkeyset"
    "Lkeyset"
    "xLKeyset"
    "LKeyset"
    "LKeyword"
    "Coordx"
    "Coordy"
    "Coordz"
    "Coord"
    "Coordn"
    "CoordIII"
    "CAny"
    "CIIIAny"
    "coord"
    "coordn"
    "coordiii"
    "coordx"
    "coordy"
    "coordz"
    "cAny"
    "ciiiAny"
    "arraystretch"
    "OptArgs"
    "OptArg"
    "DBS"
    "docauthor"
    "thanks"
    "maketitle"
    "title"
    "author"
    "date"
    "and")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1)
    '("swapgender" LaTeX-env-args ["argument"] 0)
    '("psli" LaTeX-env-args ["argument"] 0)
    '("Eqlist" LaTeX-env-args ["argument"] 1)
    '("eqlist" LaTeX-env-args ["argument"] 0)
    '("erratum" LaTeX-env-args ["argument"] 1)
    '("workarea" LaTeX-env-args ["argument"] 1)
    '("problemmp" LaTeX-env-args ["argument"] 0)
    '("problem" LaTeX-env-args ["argument"] 0)
    '("test" LaTeX-env-args ["argument"] 0)
    '("risposta" LaTeX-env-args ["argument"] 1)
    '("tabella" LaTeX-env-args ["argument"] 2)
    '("etaremune" LaTeX-env-args ["argument"] 0)
    '("solutionorgrid" LaTeX-env-args ["argument"] 0)
    '("solutionordottedlines" LaTeX-env-args ["argument"] 0)
    '("solutionorlines" LaTeX-env-args ["argument"] 0)
    '("solutionorbox" LaTeX-env-args ["argument"] 0)
    '("solution" LaTeX-env-args ["argument"] 0)
    '("multiplechoice" LaTeX-env-args ["argument"] 0)
    '("shortanswer" LaTeX-env-args ["argument"] 0)
    '("truefalse" LaTeX-env-args ["argument"] 0)
    '("fillin" LaTeX-env-args ["argument"] 0)
    '("matching" LaTeX-env-args ["argument"] 0)
    '("solutionseries" LaTeX-env-args ["argument"] 2)
    '("exerciseseries" LaTeX-env-args ["argument"] 1)
    '("exercises" LaTeX-env-args ["argument"] 0)
    '("flagderiv" LaTeX-env-args ["argument"] 0)
    '("flashcard" LaTeX-env-args ["argument"] 1)
    '("fullminipage" LaTeX-env-args ["argument"] 0)
    '("gmatrix" LaTeX-env-args ["argument"] 0)
    '("maszynopis" LaTeX-env-args ["argument"] 0)
    '("gnuplot" LaTeX-env-args ["argument"] 0)
    '("Encap" LaTeX-env-args ["argument"] 3)
    '("Row" LaTeX-env-args ["argument"] 0)
    '("row" LaTeX-env-args ["argument"] 2)
    '("arttitsub" LaTeX-env-args ["argument"] 2)
    '("artsubtit" LaTeX-env-args ["argument"] 2)
    '("art" LaTeX-env-args ["argument"] 1)
    '("widedesc" LaTeX-env-args ["argument"] 0)
    '("flexlist" LaTeX-env-args ["argument"] 1)
    '("hvFloatEnv" LaTeX-env-args ["argument"] 0)
    '("inctext" LaTeX-env-args ["argument"] 0)
    '("labeling" LaTeX-env-args ["argument"] 1)
    '("KeyValTable" LaTeX-env-args ["argument"] 1)
    '("pattern" LaTeX-env-args ["argument"] 2)
    '("letter" LaTeX-env-args ["argument"] 1)
    '("InstanceDescription" LaTeX-env-args ["argument"] 3)
    '("edtable" LaTeX-env-args ["argument"] 1)
    '("longbox" LaTeX-env-args ["argument"] 0)
    '("longfbox" LaTeX-env-args ["argument"] 0)
    '("lpic" LaTeX-env-args ["argument"] 1)
    '("FullLsc" LaTeX-env-args ["argument"] 7)
    '("Lsc" LaTeX-env-args ["argument"] 3)
    '("lsccreateinst" LaTeX-env-args ["argument"] 3)
    '("lscinst" LaTeX-env-args ["argument"] 1)
    '("simregion" LaTeX-env-args ["argument"] 0)
    '("coregion" LaTeX-env-args ["argument"] 0)
    '("ltssidetoks" LaTeX-env-args ["argument"] 1)
    '("ltsfnquote" LaTeX-env-args ["argument"] 0)
    '("subfloatrow" LaTeX-env-args ["argument"] 0)
    '("floatrow" LaTeX-env-args ["argument"] 0)
    '("longtable" LaTeX-env-args ["argument"] 1)
    '("tablenotes" LaTeX-env-args ["argument"] 0)
    '("threeparttable" LaTeX-env-args ["argument"] 0)
    '("lateximage" LaTeX-env-args ["argument"] 0)
    '("empheq" LaTeX-env-args ["argument"] 1)
    '("multlined" LaTeX-env-args ["argument"] 0)
    '("mdframed" LaTeX-env-args ["argument"] 0)
    '("vplace" LaTeX-env-args ["argument"] 0)
    '("margintable" LaTeX-env-args ["argument"] 0)
    '("marginfigure" LaTeX-env-args ["argument"] 0)
    '("verse" LaTeX-env-args ["argument"] 0)
    '("menufolder" LaTeX-env-args ["argument"] 1)
    '("metrike" LaTeX-env-args ["argument"] 0)
    '("metrica" LaTeX-env-args ["argument"] 0)
    '("explaincode" LaTeX-env-args ["argument"] 0)
    '("minipagewithmarginpars" LaTeX-env-args ["argument"] 1)
    '("arrangedWrapFigureNow" LaTeX-env-args ["argument"] 6)
    '("arrangedWrapFigure" LaTeX-env-args ["argument"] 6)
    '("arrangedSideWaysFigureNow" LaTeX-env-args ["argument"] 4)
    '("arrangedSideWaysFigure" LaTeX-env-args ["argument"] 4)
    '("arrangedFigureNow" LaTeX-env-args ["argument"] 4)
    '("arrangedFigure" LaTeX-env-args ["argument"] 4)
    '("mtchideinmainlot" LaTeX-env-args ["argument"] 0)
    '("mtchideinmainlof" LaTeX-env-args ["argument"] 0)
    '("mtchideinmaintoc" LaTeX-env-args ["argument"] 0)
    '("minted" LaTeX-env-args ["argument"] 1)
    '("Minutes" LaTeX-env-args ["argument"] 1)
    '("quiz" LaTeX-env-args ["argument"] 1)
    '("mpostfig" LaTeX-env-args ["argument"] 0)
    '("mpostdef" LaTeX-env-args ["argument"] 0)
    '("hmsc" LaTeX-env-args ["argument"] 1)
    '("mscdoc" LaTeX-env-args ["argument"] 1)
    '("msc" LaTeX-env-args ["argument"] 1)
    '("multienumerate" LaTeX-env-args ["argument"] 0)
    '("alloweqbreak" LaTeX-env-args ["argument"] 0)
    '("biblist" LaTeX-env-args ["argument"] 1)
    '("fleqn" LaTeX-env-args ["argument"] 0)
    '("darray" LaTeX-env-args ["argument"] 1)
    '("definition" LaTeX-env-args ["argument"] 0)
    '("tntable" LaTeX-env-args ["argument"] 1)
    '("NumericDataPlot" LaTeX-env-args ["argument"] 2)
    '("tabularkv" LaTeX-env-args ["argument"] 0)
    '("outline" LaTeX-env-args ["argument"] 0)
    '("overpic" LaTeX-env-args ["argument"] 1)
    '("describe" LaTeX-env-args ["argument"] 0)
    '("Parallel" LaTeX-env-args ["argument"] 2)
    '("pdfsidelinecomment" LaTeX-env-args ["argument"] 1)
    '("object" LaTeX-env-args ["argument"] 2)
    '("abstractclass" LaTeX-env-args ["argument"] 2)
    '("interface" LaTeX-env-args ["argument"] 2)
    '("class" LaTeX-env-args ["argument"] 2)
    '("sdblock" LaTeX-env-args ["argument"] 2)
    '("messcall" LaTeX-env-args ["argument"] 3)
    '("callself" LaTeX-env-args ["argument"] 3)
    '("callanother" LaTeX-env-args ["argument"] 4)
    '("call" LaTeX-env-args ["argument"] 4)
    '("ganttchart" LaTeX-env-args ["argument"] 2)
    '("fullpagefigure" LaTeX-env-args ["argument"] 0)
    '("Photo" LaTeX-env-args ["argument"] 2)
    '("Arabic" LaTeX-env-args ["argument"] 0)
    '("onlyproblem" LaTeX-env-args ["argument"] 0)
    '("onlysolution" LaTeX-env-args ["argument"] 0)
    '("defproblem" LaTeX-env-args ["argument"] 0)
    '("BottomFace" LaTeX-env-args ["argument"] 0)
    '("TopFace" LaTeX-env-args ["argument"] 0)
    '("RightFace" LaTeX-env-args ["argument"] 0)
    '("LeftFace" LaTeX-env-args ["argument"] 0)
    '("BackFace" LaTeX-env-args ["argument"] 0)
    '("FrontFace" LaTeX-env-args ["argument"] 0)
    '("ProductBox" LaTeX-env-args ["argument"] 0)
    '("SlideOverlay" LaTeX-env-args ["argument"] 1)
    '("SlideNormal" LaTeX-env-args ["argument"] 1)
    '("postscript" LaTeX-env-args ["argument"] 0)
    '("Xverbatim" LaTeX-env-args ["argument"] 1)
    '("Bsp" 1)
    "BDef"
    "BCmd")
   (LaTeX-add-index-entries
    "#1"
    "#1@\\texttt{#1}"
    "Package!#1@\\texttt{#1}"
    "Program!#1@\\texttt{#1}"
    "File!#1@\\texttt{#1}"
    "#1@\\texttt{.#1}"
    "Extension!#1@\\texttt{.#1}"
    "#1@\\nxLcs{#1}"
    "Macro!#1@\\nxLcs{#1}"
    "#1*@\\nxLcs{#1*}"
    "Macro!#1@\\nxLcs{#1*}"
    "Environment!#1@\\texttt{#1}"
    "#1@\\texttt{\\textbackslash#1}"
    "Dimension!#1@\\texttt{\\textbackslash#1}"
    "Skip!#1@\\texttt{\\textbackslash#1}"
    "Keyword!#1@\\texttt{#1}"
    "Color!#1@\\texttt{#1}"
    "Keyvalue!#1@\\texttt{#1}"
    "Package option!#1@\\texttt{#1}"
    "PostScript!#1@\\texttt{#1}"
    "Class!#1@\\texttt{#1}"
    "Counter!#1@\\texttt{#1}"
    "TeX Counter@\\TeX\\ Counter!#1@\\texttt{#1}"
    "Syntax!#1@\\nxLnotation{#1}"
    "#1@\\nxLnotation{#1}"
    "#2@\\texttt{#2}"
    "Value!#2@\\texttt{#2}")
   (LaTeX-add-saveboxes
    "TBox"
    "boxdef"))
 :latex)

